﻿@model ViewModels.Trade.HomePageViewModel

@*----------------------- start Jumbotron -----------------------*@
<section class="jumbotron">
    <h1>Online Trading Ethereum</h1>
    <p class="lead">
        Cras justo odio, dapibus ac facilisis in, egestas eget quam. Fusce dapibus, tellus ac cursus commodo,, egestas eget quam. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet.
    </p>
    <p>
        <a class="btn btn-lg btn-default" href="/@ViewContext.RouteData.Values["lang"]/Account/SignUp" role="button">@WebResources.StaticText.SignUpFree</a>
    </p>
</section>
@*----------------------- end Jumbotron -----------------------*@

@*--------------------- start search form ---------------------*@
<section class="search-form">
    <ul class="nav nav-tabs ul-tabs">
        <li class="active">
            <a href="#tab1"  data-toggle="tab">@WebResources.StaticText.IWantToBuyCoin</a>
        </li>
        <li>
            <a href="#tab2" data-toggle="tab">@WebResources.StaticText.IWantToSellCoin</a>
        </li>
    </ul>
    <div class="tab-content">
        <div role="tabpanel" class="tab-pane fade in active" id="tab1">
            <!-- buy coin -->
            @using (Html.BeginForm("search", "ads", FormMethod.Get))
            {
                <input type="hidden" name="issell" value="true" />
                <div class="control-wrap search-form-country">
                    @Html.DropDownList("country", new SelectList(Model.Countries, "Slug", "Name"), new { @class = "form-control" })
                </div>
                <div class="control-wrap search-form-currency">
                    @Html.DropDownList("currency", new SelectList(Model.Currencies, "Slug", "Name"), new { @class = "form-control" })
                </div>
                <div class="control-wrap search-form-coin">
                    @Html.DropDownList("coin", new SelectList(Model.Coins, "Slug", "Name"), new { @class = "form-control" })
                </div>
                <div class="control-wrap search-form-amount">
                    @Html.TextBox("amount", "", new { @class = "form-control", placeholder = WebResources.StaticText.Amount })
                </div>
                <div class="control-wrap search-form-paymentmethod">
                    @Html.DropDownList("paymentmethod", new SelectList(Model.PaymentMethods, "Slug", "Name"), new { @class = "form-control" })
                </div>
                <div class="control-wrap search-form-submit">
                    <input type="submit" value="Search" class="btn btn-success" />
                </div>
            }
        </div>
        <div role="tabpanel" class="tab-pane fade" id="tab2">
            <!-- sell coin -->
            @using (Html.BeginForm("search", "ads", FormMethod.Get))
            {
                <input type="hidden" name="issell" value="false" />
                <div class="control-wrap search-form-country">
                    @Html.DropDownList("country", new SelectList(Model.Countries, "Slug", "Name"), new { @class = "form-control" })
                </div>
                <div class="control-wrap search-form-currency">
                    @Html.DropDownList("currency", new SelectList(Model.Currencies, "Slug", "Name"), new { @class = "form-control" })
                </div>
                <div class="control-wrap search-form-coin">
                    @Html.DropDownList("coin", new SelectList(Model.Coins, "Slug", "Name"), new { @class = "form-control" })
                </div>
                <div class="control-wrap search-form-amount">
                    @Html.TextBox("amount", "", new { @class = "form-control", placeholder = "Amount" })
                </div>
                <div class="control-wrap search-form-paymentmethod">
                    @Html.DropDownList("paymentmethod", new SelectList(Model.PaymentMethods, "Slug", "Name"), new { @class = "form-control" })
                </div>
                <div class="control-wrap search-form-submit">
                    <input type="submit" value="Search" class="btn btn-success" />
                </div>
        }
        </div>
    </div>
</section>
@*------------------------ end search form ---------------------*@

@*-------------------------- start last sell -----------------------*@
<section class="grid-wrap sells-grid-wrap">
    <h2>@WebResources.StaticText.IWantToBuyCoin</h2>
    <table class="table table-striped table-coin">
        <thead>
            <tr>
                <th>@Html.DisplayNameFor(model => Model.LastSellAds.Data.FirstOrDefault().Username)</th>
                <th class="column-hide">@Html.DisplayNameFor(model => Model.LastSellAds.Data.FirstOrDefault().UserRating)</th>
                <th class="column-hide">@Html.DisplayNameFor(model => Model.LastSellAds.Data.FirstOrDefault().IsUserVerified)</th>
                <th>@WebResources.StaticText.IBuy</th>
                <th class="column-hide-xs">@Html.DisplayNameFor(model => Model.LastSellAds.Data.FirstOrDefault().CurrencyName)</th>
                <th>@Html.DisplayNameFor(model => Model.LastSellAds.Data.FirstOrDefault().CurrencyUnitPriceOfCoin)</th>
                <th class="column-hide">@Html.DisplayNameFor(model => Model.LastSellAds.Data.FirstOrDefault().PaymentMethodName)</th>
                <th class="column-hide-xs">@Html.DisplayNameFor(model => Model.LastSellAds.Data.FirstOrDefault().CountryName)</th>
                <th class="column-hide">@Html.DisplayNameFor(model => Model.LastSellAds.Data.FirstOrDefault().MinimumCurrencyPrice)</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
        @foreach (var item in Model.LastSellAds.Data)
        {
            <tr>
                <td><a href="/User/detail/@item.Username">@item.Username</a></td>
                <td class="column-hide">@item.UserRating</td>
                <td class="column-hide">
                    @if (item.IsUserVerified)
                    {
                        <i class="fa fa-check"></i>
                    }
                </td>
                <td>@item.CoinName</td>
                <td class="column-hide-xs">@item.CurrencyName</td>
                <td>@item.CurrencyUnitPriceOfCoin</td>
                <td class="column-hide">@item.PaymentMethodName</td>
                <td class="column-hide-xs">@item.CountryName</td>
                <td class="column-hide">@item.MinimumCurrencyPrice - @item.MaximumCurrencyPrice</td>
                <td>
                    @Html.ActionLink(WebResources.StaticText.Buy, "detail", "ads", new { lang = ViewBag.Lang, id = item.AdsId }, new { @class = "btn btn-success" })
                </td>
            </tr>
        }
        </tbody>
    </table>
    <i class="fa fa-angle-double-right"></i> 
    @Html.ActionLink("Show all user's ads to buy coins", "search", "ads", new { lang = ViewBag.Lang, issell = true }, new { @class = "see-more-ads" })
</section>
@*-------------------------- end last sell -----------------------*@


@*-------------------------- start last buy -----------------------*@
<section class="grid-wrap buys-grid-wrap">
    <h2>@WebResources.StaticText.IWantToSellCoin</h2>
    <table class="table table-striped table-coin">
        <thead>
            <tr>
                <th>@Html.DisplayNameFor(model => Model.LastSellAds.Data.FirstOrDefault().Username)</th>
                <th class="column-hide">@Html.DisplayNameFor(model => Model.LastSellAds.Data.FirstOrDefault().UserRating)</th>
                <th class="column-hide">@Html.DisplayNameFor(model => Model.LastSellAds.Data.FirstOrDefault().IsUserVerified)</th>
                <th>@WebResources.StaticText.ISell</th>
                <th class="column-hide-xs">@Html.DisplayNameFor(model => Model.LastSellAds.Data.FirstOrDefault().CurrencyName)</th>
                <th>@Html.DisplayNameFor(model => Model.LastSellAds.Data.FirstOrDefault().CurrencyUnitPriceOfCoin)</th>
                <th class="column-hide">@Html.DisplayNameFor(model => Model.LastSellAds.Data.FirstOrDefault().PaymentMethodName)</th>
                <th class="column-hide-xs">@Html.DisplayNameFor(model => Model.LastSellAds.Data.FirstOrDefault().CountryName)</th>
                <th class="column-hide">@Html.DisplayNameFor(model => Model.LastSellAds.Data.FirstOrDefault().MinimumCurrencyPrice)</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.LastBuyAds.Data)
            {
                <tr>
                    <td><a href="/User/detail/@item.UserId">@item.Username</a></td>
                    <td class="column-hide">@item.UserRating</td>
                    <td class="column-hide">
                        @if (item.IsUserVerified)
                        {
                            <i class="fa fa-check"></i>
                        }
                    </td>
                    <td>@item.CoinName</td>
                    <td class="column-hide-xs">@item.CurrencyName</td>
                    <td>@item.CurrencyUnitPriceOfCoin</td>
                    <td class="column-hide">@item.PaymentMethodName</td>
                    <td class="column-hide-xs">@item.CountryName</td>
                    <td class="column-hide">@item.MinimumCurrencyPrice - @item.MaximumCurrencyPrice</td>
                    <td>
                        @Html.ActionLink(WebResources.StaticText.Sell, "detail", "ads", new { lang = ViewBag.Lang, id = item.AdsId }, new { @class = "btn btn-success" })
                    </td>
                </tr>
            }
        </tbody>
    </table>
    <i class="fa fa-angle-double-right"></i> 
    @Html.ActionLink("Show all user's ads to sell coins", "search", "ads", new { lang = ViewBag.Lang, issell = false }, new { @class= "see-more-ads" })
</section>
@*-------------------------- end last buy -----------------------*@